Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.renderkit.html
Class HtmlLinkRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
                  org.apache.myfaces.renderkit.html.HtmlLinkRenderer

public class HtmlLinkRenderer
extends HtmlLinkRendererBase

Version:
  $Revision: 169655 $ $Date: 2005-05-11 12:45:06 -0400 (Wed, 11 May 2005) $
Author:
  Manfred Geiler (latest modification by $Author: grantsmith $)

Field Summary

Fields inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`URL_STATE_MARKER, URL_STATE_MARKER_LEN`

Constructor Summary
`HtmlLinkRenderer()`

Methods inherited from class org.apache.myfaces.renderkit.html.HtmlLinkRendererBase
`decode, encodeBegin, encodeChildren, encodeEnd, getRendersChildren, getStyle, getStyleClass, renderCommandLinkStart, renderJavaScriptAnchorStart, renderLinkEnd, renderNonJavaScriptAnchorStart, renderOutputLinkStart`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlLinkRenderer

    public HtmlLinkRenderer()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD